> For the complete documentation index, see [llms.txt](https://api-docs.rightsline.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.rightsline.com/financial/create-a-royalty/create-a-royalty-set.md).

# Create a royalty set

## Create royalty set

<mark style="color:green;">`POST`</mark> `https://ris.rightsline.com/v4/royalty`

This endpoint allows you to create a new royalty set.

#### Headers

| Name           | Type   | Description             |
| -------------- | ------ | ----------------------- |
| x-api-key      | string | Your company's API key. |
| Authentication | string | Authentication token.   |

#### Request Body

| Name                | Type   | Description                                                 |
| ------------------- | ------ | ----------------------------------------------------------- |
| title               | string | The title of the new royalty set.                           |
| template            | object | The template of the new royalty set.                        |
| template.templateId | string | The unique ID of the template to assign to the royalty set. |
| characteristics     | object | The field values to assign to the royalty set.              |

{% tabs %}
{% tab title="200 Royalty set created successfully.  Returns the ID of the newly created royalty set." %}

```
302
```

{% endtab %}

{% tab title="400 Request is missing required information, or the information is invalid." %}

```javascript
{
  "message": "TemplateId is required"
}
```

{% endtab %}
{% endtabs %}

### Sample Request

```javascript
{
    "title": "sample royalty set",
    "template": {
        "templateId": 1
    },
    "characteristics": {
        "royalty_income_group": [
            {
                "id": "2"
            }
        ],
        "territory": [
            {
                "id": "1"
            }
        ],
        "term_start": "2020-01-01",
        "term_end": "2020-12-31",
        "cross_collateralize": {
            "value": "Yes"
        },
        "cross_collateralization_note": "always cross collateralize this one",
        "royalty_basis": {
            "value": "Gross Receipts"
        }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.rightsline.com/financial/create-a-royalty/create-a-royalty-set.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
